Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-3288

Adobeconnect module does not correctly transfer the moodle defined roles in PHP 5.1.6. (Patch provided)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.9.15
    • Fix Version/s: 1.9.16
    • Component/s: Module: Adobeconnect
    • Labels:
      None
    • Environment:
      PHP 5.1.6.
    • Database:
      Any
    • Affected Branches:
      MOODLE_19_STABLE
    • Fixed Branches:
      MOODLE_19_STABLE

      Description

      Description of the issue
      ---------------------------------------------------------------------------------
      An issue was discovered where the code in the adobeconnect module is not fully compatible with PHP 5.1.6.

      Unpatched, the PHP code in Adobe Connect activity Module version 2011072100 does not correctly transfer the Moodle defined roles (Adobe Connect Participant/Presenter/Host) and assign them correctly in the Adobe Connect meeting. Irrespective of Adobe Connect role assigned in Moodle, no assignment is made in the Adobe Connect meeting - effectively, all users enter public meetings as "authenticated guests" (assigned as a participant in the meeting with their name, but no role assignment stored on the Adobe Connect server), and cannot enter private meetings (as no-one can enter as a host from Moodle to start the meeting).

      Expected Behaviour
      ---------------------------------------------------------------------------------

      • Correctly assign Moodle defined Adobe Connect roles (Host/Presenter/Participant) in the corresponding Adobe Connect meeting.

      Resolution
      ---------------------------------------------------------------------------------
      The answer lies here: https://bugs.php.net/bug.php?id=42082

      If a node list has no elements, $object->length evaluates to int(0). If this is the case, in PHP 5.1.6, empty($nodes->length) incorrectly evaluates to false, hence the !empty check failing....

      This won't be an issue for Moodle 2.x as the minimum required version of PHP for Moodle 2.X is PHP 5.1.6. according to http://docs.moodle.org/20/en/Installing_Moodle#Requirements

      Acknowledgements
      ---------------------------------------------------------------------------------
      Thanks to the following people for debugging the issue/providing a solution:

      • Daniel Rodwell (ANU)
      • Andrew Wellington (ANU)
      • Jason Ilicic (NetSpot)
      • Tony Levi (NetSpot)

      Patch and github repo
      ---------------------------------------------------------------------------------
      Links to be provided in comments section once I get a tracker number for this issue

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  9/Jan/12